package com.sooka.system.gas.xinKer_disposition_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.framework.util.ShiroUtils;
import com.sooka.system.gas.xinKer_disposition_infor.domain.TGuijiXinKerDispositionInfor;
import com.sooka.system.gas.xinKer_disposition_infor.mapper.TGuijiXinKerDispositionInforMapper;
import com.sooka.system.gas.xinKer_disposition_infor.service.ITGuijiXinKerDispositionInforService;
import com.sooka.system.service.impl.Guiji_Base_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 鑫科客户系统-处理信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiXinKerDispositionInforServiceImpl extends Guiji_Base_Service implements ITGuijiXinKerDispositionInforService
{
    @Resource
    private TGuijiXinKerDispositionInforMapper mapper;

    /**
     * 查询鑫科客户系统-处理信息
     *
     * @param id 鑫科客户系统-处理信息ID
     * @return 鑫科客户系统-处理信息
     */
    @Override
    public TGuijiXinKerDispositionInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询鑫科客户系统-处理信息列表
     *
     * @param param 鑫科客户系统-处理信息
     * @return 鑫科客户系统-处理信息
     */
    @Override
    public List<TGuijiXinKerDispositionInfor> selectList(TGuijiXinKerDispositionInfor param)
    {
        List<TGuijiXinKerDispositionInfor> list = mapper.selectList(param);
        param.setOperationStatus(1L);
        param.setParam(param.toString());
        param.setInterfacetype("platform_interfacetype_1");//1 共享 2归集
        param.setInterfaceinfoId("a7492732-de37-4a1b-8ad4-c1995db9992b");
        param.setInterfaceinfoName("共享（市）-鑫科客户系统-处理信息");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        param.setDeptId(deptId);
        param.setDeptName(deptName);
        add_log(param);
        return list;
    }

    /**
     * 新增鑫科客户系统-处理信息
     *
     * @param param 鑫科客户系统-处理信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiXinKerDispositionInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改鑫科客户系统-处理信息
     *
     * @param param 鑫科客户系统-处理信息
     * @return 结果
     */
    @Override
    public int update(TGuijiXinKerDispositionInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除鑫科客户系统-处理信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除鑫科客户系统-处理信息信息
     *
     * @param id 鑫科客户系统-处理信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
